import { CometChatActionsIcon, CometChatActionsView, CometChatOption } from '../../../modals';
import { Placement } from '../../../Enums/Enums';
interface ContextMenuProps {
    data: Array<CometChatActionsIcon | CometChatActionsView | CometChatOption>;
    topMenuSize?: number;
    moreIconHoverText?: string;
    onOptionClicked?: (option: CometChatActionsIcon | CometChatActionsView | CometChatOption) => void;
    placement?: Placement;
    closeOnOutsideClick?: boolean;
    disableBackgroundInteraction?: boolean;
    useParentContainer?: boolean;
}
/**
 * CometChatContextMenu is a composite component used to display menu data in required format.
 * It accepts a data array for displaying the menu items and topMenuSize to specify how many menu items should be visible by default.
 * It also accepts a URL for the 'more' icon, placement and a menu click callback function for customization purposes.
 */
declare const CometChatContextMenu: (props: ContextMenuProps) => import("react/jsx-runtime").JSX.Element;
export { CometChatContextMenu };
