import React from 'react';
import { CalendarObject } from '../../../utils/CalendarObject';
/**
 * Props for the CometChatFullScreenViewer component.
 */
interface FullScreenViewerProps {
    /**
     * URL of the image to be displayed
     */
    url?: string;
    /** Placeholder image URL */
    placeholderImage?: string;
    /** Callback function when the close button is clicked */
    ccCloseClicked?: () => void;
    /**
     * The media message containing the image.
     */
    message: CometChat.MediaMessage;
    /**
     * Format for timestamps associated with images in the message list.
     */
    imageSentAtDateTimeFormat?: CalendarObject;
}
/**
 * CometChatFullScreenViewer is a full-screen image viewer component with a customizable close button.
 *
 * @param {FullScreenViewerProps} props - The properties passed to the component.
 */
declare const CometChatFullScreenViewer: React.FC<FullScreenViewerProps>;
export { CometChatFullScreenViewer };
