import { CometChatActionsIcon, CometChatActionsView } from "../../../modals";
import { MessageBubbleAlignment } from "../../../Enums/Enums";
import { JSX } from 'react';
/**Interface defining the structure for MessageBubbleProps */
interface MessageBubbleProps {
    id: string | number;
    setRef?: (ref: any) => void;
    leadingView?: JSX.Element | null;
    headerView?: JSX.Element | null;
    replyView?: JSX.Element | null;
    contentView?: JSX.Element | null;
    bottomView?: JSX.Element | null;
    threadView?: JSX.Element | null;
    footerView?: JSX.Element | null;
    statusInfoView?: JSX.Element | null;
    options: (CometChatActionsIcon | CometChatActionsView)[];
    alignment: MessageBubbleAlignment;
    topMenuSize?: number;
    type?: string;
    category?: string;
}
/**
 * React component for displaying different types of messages in the message list.
 * @param props
 * @returns
 */
declare const CometChatMessageBubble: (props: MessageBubbleProps) => import("react/jsx-runtime").JSX.Element;
export { CometChatMessageBubble };
