import { CometChatMessageTemplate } from "../../modals";
import { CalendarObject } from "../../utils/CalendarObject";
import { CometChatTextFormatter } from "../../formatters";
interface MessageInformationProps {
    message: CometChat.BaseMessage;
    onClose?: () => void;
    /**
     * Callback triggered when an error occurs during the message receipt fetching process.
     * @param error - CometChatException object representing the error.
     */
    onError?: ((error: CometChat.CometChatException) => void) | null;
    /**
    * Format for timestamps displayed in message details (e.g., delivery or read time).
    */
    messageInfoDateTimeFormat?: CalendarObject;
    /**
     * Format for the timestamp displayed next to messages.
     */
    messageSentAtDateTimeFormat?: CalendarObject;
    /**
     * Template for customizing the appearance of the message.
     */
    template?: CometChatMessageTemplate;
    /**
    * Hides the visibility of receipt in the Message Information.
    * @default false
    */
    hideReceipts?: boolean;
    /**
    * Array of text formatters for custom styling or formatting of message text bubbles.
    */
    textFormatters?: CometChatTextFormatter[];
    /**
   * Controls the visibility of the scrollbar in the list.
   * @defaultValue `false`
   */
    showScrollbar?: boolean;
}
declare const CometChatMessageInformation: (props: MessageInformationProps) => import("react/jsx-runtime").JSX.Element;
export { CometChatMessageInformation };
