import { Receipts } from "../Enums/Enums";
/**
 * Utility class for handling message receipt statuses.
 * It is used in CometChatConversations and CometChatMessageList components.
 */
export declare class MessageReceiptUtils {
    /**
     * Gets the receipt status icon for a given message.
     *
     * Determines the receipt status based on the message's properties and returns
     * the corresponding receipt icon.
     *
     * @param {CometChat.BaseMessage} messageObject - The message object for which to get the receipt status.
     * @returns {Receipts} - The receipt status icon.
     */
    static getReceiptStatus: (messageObject: CometChat.BaseMessage) => Receipts;
}
